## python-memory-profiler 0.31+git20141019

=== Makefile ===
PYTHON ?= python

.PHONY: test

test:
	$(PYTHON) -m memory_profiler test/test_func.py
	$(PYTHON) -m memory_profiler test/test_loop.py
	$(PYTHON) -m memory_profiler test/test_as.py
	$(PYTHON) -m memory_profiler test/test_global.py
	$(PYTHON) -m memory_profiler test/test_precision_command_line.py
	$(PYTHON) test/test_import.py
	$(PYTHON) test/test_memory_usage.py
	$(PYTHON) test/test_precision_import.py

## python-memory-profiler 0.41+git20161018

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 PYTHON ?= python
+IPYTHON ?= ipython
 
 .PHONY: test
 
@@ -8,6 +9,11 @@
 	$(PYTHON) -m memory_profiler test/test_as.py
 	$(PYTHON) -m memory_profiler test/test_global.py
 	$(PYTHON) -m memory_profiler test/test_precision_command_line.py
+	$(PYTHON) -m memory_profiler test/test_gen.py
+	$(PYTHON) -m memory_profiler test/test_unicode.py
+	$(PYTHON) test/test_tracemalloc.py
 	$(PYTHON) test/test_import.py
 	$(PYTHON) test/test_memory_usage.py
 	$(PYTHON) test/test_precision_import.py
+	$(IPYTHON) test/test_ipython.py
+

=== debian/changelog ===
python-memory-profiler (0.41+git20161018-1) unstable; urgency=medium

  * New upstream release
  * debian/*: Clean up the pybuild build (Closes: #804442)
  * debian/*: lintian fixes
    - Standard-Version: 3.9.8
    - Add missing source format
    - Use new https addresses for Vcs-* fields
    - Rename /usr/bin/mprof to /usr/bin/{python,python3}-mprof
  * debian/patches/testsuite-disabled.patch: Disabled some tests

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 30 Oct 2016 01:32:46 +0900

python-memory-profiler (0.31+git20141019-1) unstable; urgency=medium

  * Initial release (Closes: #764855)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 19 Oct 2014 17:18:27 +0900

=== debian/control ===
Source: python-memory-profiler
Section: python
Priority: optional
Maintainer: Changwoo Ryu <cwryu@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python (>= 2.20160818),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.2~),
               python3-setuptools,
               python-psutil,
               python3-psutil,
Standards-Version: 3.9.8
Homepage: https://github.com/fabianp/memory_profiler
Vcs-Git: https://anonscm.debian.org/git/users/cwryu/python-memory-profiler.git/
Vcs-Browser: https://anonscm.debian.org/git/users/cwryu/python-memory-profiler.git/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-memory-profiler
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-psutil,
Description: memory consumption analysis for Python programs (Python 2 build)
 This is a Python module for monitoring memory consumption of a process
 as well as line-by-line analysis of memory consumption for Python
 programs.
 .
 This module is built for Python version 2.x.

Package: python3-memory-profiler
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-psutil,
Description: memory consumption analysis for Python programs (Python 3 build)
 This is a Python module for monitoring memory consumption of a process
 as well as line-by-line analysis of memory consumption for Python
 programs.
 .
 This module is built for Python version 3.x.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=memory-profiler

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# disabled unittest; it will fail
override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python-memory-profiler/usr/bin/mprof \
	    $(CURDIR)/debian/python-memory-profiler/usr/bin/python-mprof
	mv $(CURDIR)/debian/python3-memory-profiler/usr/bin/mprof \
	    $(CURDIR)/debian/python3-memory-profiler/usr/bin/python3-mprof

override_dh_auto_test:
	#dh_auto_test
	env PYTHONPATH=. make test

=== debian/watch ===
version=3
https://github.com/fabianp/memory_profiler/tags .*/([\d\.]+)\.tar\.gz

## python-memory-profiler 0.52

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 PYTHON ?= python
-IPYTHON ?= ipython
 
 .PHONY: test
 
@@ -15,5 +14,4 @@
 	$(PYTHON) test/test_import.py
 	$(PYTHON) test/test_memory_usage.py
 	$(PYTHON) test/test_precision_import.py
-	$(IPYTHON) test/test_ipython.py
-
+	$(PYTHON) test/test_exception.py

=== debian/changelog ===
python-memory-profiler (0.52-1) unstable; urgency=medium

  * New upstream version 0.52
  * Support the nocheck build profile
  * Normalize the package descriptions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 22 Feb 2018 14:47:15 +0000

python-memory-profiler (0.51-1) unstable; urgency=medium

  * Use the recommended gbp configuration
  * Track the new upstream repository on GitHub
  * New upstream version 0.51
  * Drop the patch queue, no longer required
  * Run cme fix on copyright file
    - Use the secure Format URI
    - Rename BSD to BSD-3-Clause
  * Run cme fix on control file
    - Wrap and sort fields and dependencies
    - Drop superfluous versioned dependencies
  * Enable testing for Python 3
  * Add autopkgtests for Python 3
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Transfer maintenance to the Debian Science Team
    - As agreed with former maintainer Changwoo Ryu
  * Add myself to copyright holders

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 04 Feb 2018 23:25:35 +0000

=== debian/control ===
Source: python-memory-profiler
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python (>= 2.20160818),
               dpkg-dev (>= 1.17.14),
               python-all,
               python-psutil <!nocheck>,
               python-setuptools,
               python3-all,
               python3-psutil <!nocheck>,
               python3-setuptools
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/python-memory-profiler
Vcs-Git: https://salsa.debian.org/science-team/python-memory-profiler.git
Homepage: https://github.com/fabianp/memory_profiler
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-memory-profiler
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-psutil
Description: memory consumption analysis for Python programs (Python 2)
 This is a Python module for monitoring memory consumption of a process
 as well as line-by-line analysis of memory consumption for Python
 programs.
 .
 This package provides the modules for Python 2.

Package: python3-memory-profiler
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-psutil
Description: memory consumption analysis for Python programs (Python 3)
 This is a Python module for monitoring memory consumption of a process
 as well as line-by-line analysis of memory consumption for Python
 programs.
 .
 This package provides the modules for Python 3.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/memory_profiler-$1\.tar\.gz/ \
  https://github.com/pythonprofilers/memory_profiler/tags .*/v?@ANY_VERSION@\.tar\.gz

## python-memory-profiler 0.61

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 PYTHON ?= python
 
-.PHONY: test
+.PHONY: test develop
 
 test:
 	$(PYTHON) -m memory_profiler test/test_func.py
 	$(PYTHON) -m memory_profiler test/test_loop.py
+	$(PYTHON) -m memory_profiler test/test_mprofile.py
 	$(PYTHON) -m memory_profiler test/test_as.py
 	$(PYTHON) -m memory_profiler test/test_global.py
 	$(PYTHON) -m memory_profiler test/test_precision_command_line.py
@@ -15,3 +16,10 @@
 	$(PYTHON) test/test_memory_usage.py
 	$(PYTHON) test/test_precision_import.py
 	$(PYTHON) test/test_exception.py
+	$(PYTHON) test/test_exit_code.py
+	$(PYTHON) test/test_mprof.py
+	$(PYTHON) test/test_async.py
+	mprof run test/test_func.py
+
+develop:
+	pip install -e .

=== debian/changelog ===
python-memory-profiler (0.61-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to use native syntax for coroutines. (Closes: #1056483)
  * Enable running tests during build.
  * Do not install mprofile_{timestamp}.dat files.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Dec 2024 23:17:05 +0300

python-memory-profiler (0.61-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.61 (Closes: #1025109)
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 06 Dec 2022 09:16:41 +0100

python-memory-profiler (0.60-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.60
  * Add python3-matplotlib as recommend (Closes: #933234)
  * Update packaging
  * Fix autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2022 08:28:38 +0200

python-memory-profiler (0.52-2) unstable; urgency=medium

  * Team upload.
  * Drop python 2 support
  * debian/control
    - drop obsolete X-P-V fields
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Aug 2019 19:30:48 -0400

=== debian/control ===
Source: python-memory-profiler
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-psutil <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/python-memory-profiler
Vcs-Git: https://salsa.debian.org/science-team/python-memory-profiler.git
Homepage: https://github.com/pythonprofilers/memory_profiler
Rules-Requires-Root: no

Package: python3-memory-profiler
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-psutil
Recommends: python3-matplotlib
Description: memory consumption analysis for Python programs (Python 3)
 This is a Python module for monitoring memory consumption of a process
 as well as line-by-line analysis of memory consumption for Python
 programs.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=memory-profiler

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_BEFORE_TEST="cp -rf test/ Makefile {build_dir}" \
		PYBUILD_TEST_ARGS="cd {build_dir}; PYTHON={interpreter} make test" \
		PYBUILD_AFTER_TEST="rm -rf {build_dir}/test/ {build_dir}/Makefile" \
		LC_ALL=C.UTF-8 dh_auto_test

execute_after_dh_auto_install:
	mv $(CURDIR)/debian/python3-memory-profiler/usr/bin/mprof \
	    $(CURDIR)/debian/python3-memory-profiler/usr/bin/python3-mprof
